scala.tools.nsc.util

# ShowPickled

###
Related Doc: package util

#### object ShowPickled extends Names

Source
  ShowPickled.scala

Linear Supertypes
Names, Names, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ShowPickled
2. Names
3. Names
4. AnyRef
5. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Type Members

1. #### sealed abstract class Name extends reflect.internal.Names.NameApi

   Definition Classes
     Names

2. #### abstract class NameApi extends AnyRef

   Definition Classes
     Names

3. #### final class NameOps[T <: Name] extends AnyRef

   Definition Classes
     Names

4. #### case class PickleBufferEntry (num: Int, startIndex: Int, tag: Int, bytes: Array[Byte]) extends Product with Serializable

5. #### case class PickleBufferEntryList (entries: IndexedSeq[PickleBufferEntry]) extends Product with Serializable

6. #### sealed abstract class TermName extends Name with reflect.internal.Names.TermNameApi

   Definition Classes
     Names

7. #### trait TermNameApi extends AnyRef

   Definition Classes
     Names

8. #### abstract class TermNameExtractor extends AnyRef

   Definition Classes
     Names

9. #### sealed abstract class TypeName extends Name with reflect.internal.Names.TypeNameApi

   Definition Classes
     Names

10. #### trait TypeNameApi extends AnyRef

    Definition Classes
      Names

11. #### abstract class TypeNameExtractor extends AnyRef

    Definition Classes
      Names

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### implicit def AnyNameOps(name: Name): NameOps[Name]

   Definition Classes
     Names

5. #### implicit val NameTag: ClassTag[Name]

   Definition Classes
     Names

6. #### object TermName extends reflect.internal.Names.TermNameExtractor

   Definition Classes
     Names → Names

7. #### implicit def TermNameOps(name: TermName): NameOps[TermName]

   Definition Classes
     Names

8. #### implicit val TermNameTag: ClassTag[TermName]

   Definition Classes
     Names

9. #### object TypeName extends reflect.internal.Names.TypeNameExtractor

   Definition Classes
     Names → Names

10. #### implicit def TypeNameOps(name: TypeName): NameOps[TypeName]

    Definition Classes
      Names

11. #### implicit val TypeNameTag: ClassTag[TypeName]

    Definition Classes
      Names

12. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

13. #### var chrs: Array[Char]

    Definition Classes
      Names

14. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

15. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

18. #### def fromBytes(data: ⇒ Array[Byte]): Option[PickleBuffer]

19. #### def fromFile(path: String): Option[PickleBuffer]

20. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

21. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

23. #### final def lookupTypeName(cs: Array[Char]): TypeName

    Definition Classes
      Names

24. #### def main(args: Array[String]): Unit

25. #### def makeEntryList(buf: PickleBuffer, index: Array[Int]): PickleBufferEntryList

26. #### final val nameDebug: Boolean(false)

    Definition Classes
      Names

27. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

28. #### final def newTermName(bs: Array[Byte], offset: Int, len: Int): TermName

    Definition Classes
      Names

29. #### def newTermName(s: String): TermName

    Definition Classes
      Names → Names
    Annotations
      @deprecatedOverriding( ... , "2.11.0" )

30. #### final def newTermName(cs: Array[Char], offset: Int, len0: Int, cachedString: String): TermName

    Definition Classes
      Names

31. #### final def newTermName(cs: Array[Char]): TermName

    Definition Classes
      Names

32. #### final def newTermName(cs: Array[Char], offset: Int, len: Int): TermName

    Definition Classes
      Names

33. #### final def newTermNameCached(s: String): TermName

    Definition Classes
      Names

34. #### final def newTypeName(bs: Array[Byte], offset: Int, len: Int): TypeName

    Definition Classes
      Names

35. #### final def newTypeName(cs: Array[Char], offset: Int, len: Int): TypeName

    Definition Classes
      Names

36. #### def newTypeName(s: String): TypeName

    Definition Classes
      Names → Names
    Annotations
      @deprecatedOverriding( ... , "2.11.0" )

37. #### final def newTypeName(cs: Array[Char], offset: Int, len: Int, cachedString: String): TypeName

    Definition Classes
      Names

38. #### final def newTypeName(cs: Array[Char]): TypeName

    Definition Classes
      Names

39. #### final def newTypeNameCached(s: String): TypeName

    Definition Classes
      Names

40. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

41. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

42. #### def printFile(buf: PickleBuffer, out: PrintStream): Unit

43. #### def readNat(data: Array[Byte], index: Int): Int

    Extremely regrettably, essentially copied from PickleBuffer.

44. #### def show(what: String, pickle: PickleBuffer): Unit

45. #### def synchronizeNames: Boolean

    Attributes
      protected
    Definition Classes
      Names

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def tag2string(tag: Int): String

48. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### implicit def stringToTermName(s: String): TermName

   Definition Classes
     Names
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use explicit `TermName(s)` instead

2. #### implicit def stringToTypeName(s: String): TypeName

   Definition Classes
     Names
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use explicit `TypeName(s)` instead

### Inherited from Names

### Inherited from AnyRef

### Inherited from Any

### Ungrouped